vim.opt.termguicolors = true

require("bufferline").setup({
  highlights = {
    background = {
      italic = false,
    },
    buffer_selected = {
      bold = true,
    },
  },
  options = {
    mode = "buffers",
    persist_buffer_sort = true,
    enforce_regular_tabs = false,
    always_show_bufferline = false,    
    offsets = {
      {
        filetype = "NeoTree",
        text = "File Explorer",
        highlight = "Directory",
        separator = true,
      }
    }
  }
})

