local navic = require("nvim-navic")

vim.g.rustaceanvim = {
  server = {
    on_attach = function(client, bufnr)
        navic.attach(client, bufnr)
    end,
    filetypes = {"rust"},
    settings = {
      -- rust-analyzer language server configuration
      ['rust-analyzer'] = {
        cargo = {
          allFeatures = true,
        },
      },
    },
  },
}
