return {
  {
    "goolord/alpha-nvim",
    config = function ()
        require'alpha'.setup(require'alpha.themes.dashboard'.config)
    end
  },
  {
    "kaarmu/typst.vim",
    lazy = true,
  },
  {
    'MunifTanjim/prettier.nvim',
    lazy = true,
  },
  {
    "savq/melange-nvim"
  },
  {
    "mlaursen/vim-react-snippets",
    lazy = true,
  },
  {
    "windwp/nvim-ts-autotag",
    lazy = true,
  },
  {
    "lukas-reineke/indent-blankline.nvim"
  },
  {
    "mxsdev/nvim-dap-vscode-js",
    lazy = true,
  },
  {
    "windwp/nvim-autopairs",
    lazy = true,
    event = "InsertEnter",
    config = true
  },
  {
    "microsoft/vscode-js-debug",
    lazy = true,
    build = "npm install --legacy-peer-deps && npx gulp vsDebugServerBundle && mv dist out"
  },
  {
    "mrcjkb/rustaceanvim",
    version = '^4', -- Recommended
    lazy = false, -- This plugin is already lazy
  },
}
